# uFR Series Anti-Collision Example

Example of using uFR Series devices with multiple cards/tags in field. 
ECLIPSE project, written in GCC.

## Getting Started

Download project, compile and run.
Alternatively run appropriate binary and follow the menu and instructions.


### Prerequisites

uFR Series reader, minimal firmware version 4.0.6, minimal library version 4.0.19.
Eclipse environment.

### Installing

No installation needed. Precompiled binaries available for Win32 and Win64 platforms, both Debug and Release.
Other supproted platforms are in TODO list, coming soon.


## Compiling

Use Eclipse for compiling, this is Eclipse ready project.

## Background explanation

For using multiple cards feature, it must be explicitly enabled with 
```
EnableAntiCollision()
``` 
and disabled with
```
DisableAntiCollision()
``` 
commands.
When multiple cards are in field, they have to be enumerated first. After enumeration, you can SELECT one of the enumerated card and work with it. 
When finished, DESELECT that card and SELECT another card and perform needed operations.
don't forget to disable AntiCollision mode when finished.


## License

This project is licensed under the ..... License - see the [LICENSE.md](LICENSE.md) file for details

## Acknowledgments

* Purpose of this example is to provide additional info about usage of firmware and API specific features of uFR Series devices.
* It is specific to mentioned hardware ONLY and some other hardware might have different approach, please bear that in mind.  


